#!/usr/bin/env python

# load sys so arguments can be used
import sys

try: 
	# get the argument if there is one
	number = int(sys.argv[1])
	if number==1:
		comment= "The LED is now on"
	else:
		comment= "The LED is now off"
	# and store it in the file
	myfile = open('cgi-bin/ledpos.dat','w')
	myfile.write(str(number))
	myfile.close()

except:
	comment="Error: no command received or ledpos.dat doesn't exist"
  
# show the HTML page
print "Content-Type: text/html"
print """
<head>
<title>Control on-board LED</title>
<meta name="viewport" content="width=200" content="initial-scale=1">
<meta http-equiv="refresh" content="2;url=http://192.168.178.14:8080/onboardled.html">
</head>
<html>
<body> 
%s
</body>
</html>
""" % comment

